/* General */
body {
    font-family: 'Arial', sans-serif;
    margin: 0;
    padding: 0;
    background-color: #F8F8F8;
}

header {
    background-color: #007BFF;
    color: #fff;
    text-align: center;
    padding: 20px 0;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
}

main {
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border-radius: 5px;
}

/* Contenedor del logo y el título */
#logo-title {
    display: flex;
    align-items: center; 
    justify-content: center; 
    font-size: 24px; 
}

/* Logo */
#logo {
    width: 100px; 
    height: auto; 
    margin-right: 10px; 
}

/* Filtros */
#filters {
    margin-bottom: 20px;
    background-color: #f5f5f5;
    padding: 10px;
    border-radius: 5px;
    display: flex;
    align-items: center; 
    flex-wrap: wrap;
    justify-content: space-between;
}

label {
    font-weight: bold;
    margin-right: 10px;
    margin-bottom: 5px;
}

select, input[type="checkbox"] {
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin-right: 10px;
    font-size: 14px;
    height: 32px;
}

/* Lista de trabajos */
#jobList {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr)); 
    gap: 20px;
}

.job {
    max-width: 100%;
    width: auto;
    background-color: #fff;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
    border-radius: 5px;
    padding: 20px;
    transition: transform 0.2s;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.job:hover {
    transform: translateY(-5px);
}

.job h3 {
    font-size: 20px;
    margin: 0;
    margin-bottom: 10px;
    color: #fff; 
    background-color: #333;
    padding: 8px 12px;
    border-radius: 5px; 
}


.job .apply-button {
    padding: 8px 20px; 
    background-color: #4CAF50; 
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.2s;
}

.job .apply-button:hover {
    background-color: #45A049; 
}


/* Boton ver mas */
#loadMoreButton {
    display: block;
    margin: 30px auto;
    padding: 10px 15px; 
    background-color: #333;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.2s;
}

#loadMoreButton:hover {
    background-color: #1f1e1e;
}

/* Footer */
footer {
    background-color: #007BFF;
    color: #fff;
    text-align: center;
    padding: 20px 0;
}

/* Modal */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    overflow: auto;
}

.modal-content {
    background-color: #fff;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 30%;
    border-radius: 5px;
    position: relative;
}

.close {
    color: #888;
    float: right;
    font-size: 28px;
    font-weight: bold;
    cursor: pointer;
}

.close:hover {
    color: #000;
}

#applicationForm {
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: center; 
    max-width: 100%;
}


#email {
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 14px;
    width: 100%;
}

#cv {
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 14px;
    width: 100%;
}

button[type="submit"] {
    padding: 10px 20px; 
    max-width: 150px; 
    background-color: #4CAF50;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.2s;
}


button[type="submit"]:hover {
    background-color: #45A049;
}

#importantMessage {
    display: none;
    background-color: #ff9101;
    padding: 10px;
    text-align: center;
}

@media (max-width: 768px) {
    .modal-content {
        width: 90%; 
    }
}